-- The default rotations generator for ROGUES.
local rogueRotationsGenerator = function ()
	local rotation = {
		["defaultRotation/rogue/assassination"] = {
			["version"] = 1,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["ActionList"] = {
				["defaultRotation/rogue/vendetta"] = {
					["v_t_needsdebuff"] = "",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "79140",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "",
					["v_p_unitpowertype"] = "",
				},
				["defaultRotation/rogue/lethal_poison"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["b_p_unitpower"] = false,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = true,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "2823",
					["v_gspellcost"] = "",
					["v_p_stance"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "2823",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["b_t_needsdebuff"] = false,
					["b_moving"] = false,
					["b_lastcasted"] = false,
					["v_pet_hp"] = "",
					["b_p_havebuff"] = false,
					["b_pet_needsbuff"] = false,
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["b_charges"] = false,
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "",
					["v_p_havedebuff"] = "",
					["v_p_runes"] = "",
					["v_t_hasdebuff"] = "",
					["v_p_havebuff"] = "",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["b_p_runes"] = false,
					["v_duration"] = "",
					["b_t_notaboss"] = false,
					["v_p_hp"] = "",
					["v_durationstartedtime"] = 0,
					["b_checkothercd"] = false,
					["b_gunitpower"] = false,
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = true,
					["v_checkothercdname"] = "",
					["b_t_needsbuff"] = false,
				},
				["defaultRotation/rogue/garrote"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["b_p_unitpower"] = false,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "703",
					["b_t_needsdebuff"] = false,
					["v_p_stance"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_checkothercdname"] = "",
					["v_t_hasbuff"] = "",
					["b_moving"] = false,
					["b_p_havebuff"] = false,
					["v_charges"] = "",
					["v_actionicon"] = "",
					["b_pet_needsbuff"] = false,
					["b_checkothercd"] = false,
					["v_durationstartedtime"] = 0,
					["v_p_hp"] = "",
					["b_p_isstealthed"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "",
					["v_p_havedebuff"] = "",
					["v_p_runes"] = "",
					["v_t_hp"] = "",
					["v_p_havebuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["b_p_runes"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["b_hasproc"] = false,
					["b_t_notaboss"] = false,
					["v_duration"] = "",
					["v_p_notstance"] = "",
					["b_p_knowspell"] = false,
					["b_lastcasted"] = false,
					["b_gunitpower"] = false,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["v_gspellcost"] = "",
					["b_t_needsbuff"] = false,
				},
				["defaultRotation/rogue/death_from_above"] = {
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "152150",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["b_p_unitpower"] = true,
				},
				["defaultRotation/rogue/mutilate"] = {
					["v_gunitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1329",
					["v_p_runes"] = "",
					["v_p_havebuff"] = "",
					["v_t_hp"] = ">=35%",
					["v_p_needbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_stance"] = "",
					["v_p_knowspell"] = "",
					["v_p_havedebuff"] = "",
					["v_p_eclipse"] = "",
					["v_p_hp"] = "",
					["v_p_notstance"] = "",
					["v_p_knownotspell"] = "",
					["b_gunitpower"] = true,
					["b_t_hp"] = true,
					["v_p_unitpowertype"] = "",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "",
					["v_gunitpower"] = "2",
				},
				["defaultRotation/rogue/envenom"] = {
					["v_t_needsdebuff"] = "",
					["v_t_needsbuff"] = "",
					["b_t_hasdebuff"] = true,
					["v_gunitpowertype"] = "",
					["v_t_hasdebuff"] = "_1943^6",
					["v_t_hasbuff"] = "",
					["v_p_unitpower"] = ">=5",
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "32645",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "",
					["v_t_hp"] = "",
				},
				["defaultRotation/rogue/rupture"] = {
					["v_t_needsdebuff"] = "_1943^4",
					["v_p_unitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1943",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_t_hasdebuff"] = "",
				},
			},
			["SortedActions"] = {
				"defaultRotation/rogue/lethal_poison", -- [1]
				"defaultRotation/rogue/garrote", -- [2]
				"defaultRotation/rogue/vendetta", -- [3]
				"defaultRotation/rogue/rupture", -- [4]
				"defaultRotation/rogue/death_from_above", -- [5]
				"defaultRotation/rogue/envenom", -- [6]
				"defaultRotation/rogue/mutilate", -- [7]
			},
		},
		["defaultRotation/rogue/outlaw"] = {
			["version"] = 1,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["SortedActions"] = {
				"defaultRotation/rogue/ambush", -- [1]
				"defaultRotation/rogue/killing_spree", -- [2]
				"defaultRotation/rogue/slice_and_dice", -- [3]
				"defaultRotation/rogue/death_from_above", -- [4]
				"defaultRotation/rogue/marked_for_death", -- [5]
				"defaultRotation/rogue/adrenaline_rush", -- [6]
				"defaultRotation/rogue/roll_the_bones", -- [7]
				"defaultRotation/rogue/between_the_eyes", -- [8]
				"defaultRotation/rogue/run_through", -- [9]
				"defaultRotation/rogue/pistol_shot", -- [10]
				"defaultRotation/rogue/saber_slash", -- [11]
			},
			["ActionList"] = {
				["defaultRotation/rogue/death_from_above"] = {
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/rogue/roll_the_bones"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["b_p_unitpower"] = true,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = ">=5",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = true,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "193316",
					["b_t_needsdebuff"] = false,
					["v_p_stance"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "193356^4||193357^4||193358^4||193359^4||199600^4||199603^4",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["b_pet_needsbuff"] = false,
					["b_p_knownotspell"] = false,
					["v_checkothercdname"] = "",
					["v_gspellcost"] = "",
					["b_moving"] = false,
					["v_gspellcosttype"] = "",
					["v_charges"] = "",
					["v_actionicon"] = "",
					["b_t_needsbuff"] = false,
					["b_checkothercd"] = false,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "4",
					["v_t_hasdebuff"] = "",
					["v_p_havedebuff"] = "",
					["v_duration"] = "",
					["v_p_havebuff"] = "",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["b_p_runes"] = false,
					["v_p_needdebuff"] = "",
					["v_t_needsbuff"] = "",
					["b_hasproc"] = false,
					["b_t_notaboss"] = false,
					["v_p_runes"] = "",
					["v_p_notstance"] = "",
					["b_p_knowspell"] = false,
					["v_t_hasbuff"] = "",
					["b_p_havebuff"] = false,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_gunitpower"] = false,
					["b_lastcasted"] = false,
				},
				["defaultRotation/rogue/killing_spree"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "51690",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/rogue/pistol_shot"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "185763",
					["b_t_needsdebuff"] = false,
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "4",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_p_stance"] = "",
					["v_gspellcost"] = "",
					["b_moving"] = false,
					["v_t_hasbuff"] = "",
					["v_charges"] = "",
					["v_actionicon"] = "",
					["b_pet_needsbuff"] = false,
					["b_checkothercd"] = false,
					["v_p_hp"] = "",
					["b_p_unitpower"] = false,
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "",
					["v_t_hasdebuff"] = "",
					["v_p_runes"] = "",
					["b_toggleoff"] = false,
					["v_p_havebuff"] = "195627",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["b_p_runes"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["b_charges"] = false,
					["b_t_notaboss"] = false,
					["v_p_havedebuff"] = "",
					["v_p_notstance"] = "",
					["b_p_knowspell"] = false,
					["b_lastcasted"] = false,
					["b_gunitpower"] = true,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_p_havebuff"] = true,
					["b_t_needsbuff"] = false,
				},
				["defaultRotation/rogue/adrenaline_rush"] = {
					["v_t_needsdebuff"] = "",
					["v_t_needsbuff"] = "",
					["v_t_hasbuff"] = "",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "13750",
					["v_keybind"] = "<keybind>",
					["v_t_hp"] = "",
					["v_t_hasdebuff"] = "",
				},
				["defaultRotation/rogue/run_through"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = ">=5",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "2098",
					["v_gspellcost"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["b_lastcasted"] = false,
					["b_p_knownotspell"] = false,
					["b_gunitpower"] = false,
					["b_t_needsdebuff"] = false,
					["b_moving"] = false,
					["b_t_needsbuff"] = false,
					["v_pet_hp"] = "",
					["b_p_havebuff"] = true,
					["v_t_hasbuff"] = "",
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["v_p_runes"] = "",
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_t_hp"] = "",
					["v_p_havedebuff"] = "",
					["b_hasproc"] = false,
					["v_p_havebuff"] = "193356^6||193357^6||193358^6||193359^6||199600^6||199603^6",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["b_p_runes"] = false,
					["b_toggleoff"] = false,
					["b_t_notaboss"] = false,
					["b_p_unitpower"] = true,
					["v_p_hp"] = "",
					["b_checkothercd"] = false,
					["b_pet_needsbuff"] = false,
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["v_p_stance"] = "",
					["v_gspellcosttype"] = "",
				},
				["defaultRotation/rogue/slice_and_dice"] = {
					["v_p_needbuff"] = "_5171^10",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "5171",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/rogue/between_the_eyes"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = ">=5",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "199804",
					["v_gspellcost"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["b_lastcasted"] = false,
					["b_p_knownotspell"] = false,
					["b_gunitpower"] = false,
					["b_t_needsdebuff"] = false,
					["b_moving"] = false,
					["b_t_needsbuff"] = false,
					["v_pet_hp"] = "",
					["b_p_havebuff"] = true,
					["v_t_hasbuff"] = "",
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["v_p_runes"] = "",
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_t_hp"] = "",
					["v_p_havedebuff"] = "",
					["b_hasproc"] = false,
					["v_p_havebuff"] = "193357",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["b_p_runes"] = false,
					["b_toggleoff"] = false,
					["b_t_notaboss"] = false,
					["b_p_unitpower"] = true,
					["v_p_hp"] = "",
					["b_checkothercd"] = false,
					["b_pet_needsbuff"] = false,
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["v_p_stance"] = "",
					["v_gspellcosttype"] = "",
				},
				["defaultRotation/rogue/saber_slash"] = {
					["v_t_needsdebuff"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["b_p_unitpower"] = false,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "193315",
					["v_gspellcost"] = "",
					["v_p_stance"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["v_gunitpowertype"] = "4",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["v_pet_needsbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["b_t_needsbuff"] = false,
					["b_p_knownotspell"] = false,
					["b_p_havebuff"] = false,
					["b_t_needsdebuff"] = false,
					["b_moving"] = false,
					["b_pet_needsbuff"] = false,
					["v_pet_hp"] = "",
					["b_gunitpower"] = true,
					["b_lastcasted"] = false,
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["v_p_havedebuff"] = "",
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "",
					["v_t_hp"] = "",
					["v_p_runes"] = "",
					["b_charges"] = false,
					["v_p_havebuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_p_needdebuff"] = "",
					["v_t_needsbuff"] = "",
					["b_p_runes"] = false,
					["v_duration"] = "",
					["b_t_notaboss"] = false,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_checkothercd"] = false,
					["v_gspellcosttype"] = "",
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["v_checkothercdname"] = "",
					["v_t_hasbuff"] = "",
				},
				["defaultRotation/rogue/marked_for_death"] = {
					["v_p_knowspell"] = "137619",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=1",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/rogue/ambush"] = {
					["b_p_isstealthed"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8676",
					["v_p_runes"] = "",
					["v_p_havebuff"] = "",
					["v_p_stance"] = "",
					["v_p_needbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_knowspell"] = "",
					["v_p_eclipse"] = "",
					["v_p_notstance"] = "",
					["v_p_hp"] = "",
					["b_p_havebuff"] = false,
					["v_p_unitpowertype"] = "",
					["v_p_havedebuff"] = "",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "",
					["v_p_knownotspell"] = "",
				},
			},
		},
		["defaultRotation/rogue/subtlety"] = {
			["version"] = 1,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["ActionList"] = {
				["defaultRotation/rogue/nightblade"] = {
					["v_t_needsdebuff"] = "_195452^4",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["b_p_unholyrunes"] = false,
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = ">=4",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "195452",
					["v_gspellcosttype"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_lastcasted"] = false,
					["v_pet_needsbuff"] = "",
					["b_t_needsdebuff"] = true,
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcost"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["v_charges"] = "",
					["b_moving"] = false,
					["v_actionicon"] = "",
					["b_p_bloodrunes"] = false,
					["b_checkothercd"] = false,
					["b_p_knowspell"] = false,
					["b_gunitpower"] = false,
					["v_p_stance"] = "",
					["b_p_unitpower"] = true,
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "4",
					["v_duration"] = "",
					["v_p_havedebuff"] = "",
					["v_p_bloodrunes"] = "",
					["v_p_havebuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_p_needdebuff"] = "",
					["v_t_needsbuff"] = "",
					["v_t_hp"] = "",
					["b_charges"] = false,
					["b_t_notaboss"] = false,
					["v_checkothercdvalue"] = "",
					["v_togglename"] = "Toggle 1",
					["v_p_notstance"] = "",
					["v_p_unholyrunes"] = "",
					["b_p_havebuff"] = false,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsbuff"] = false,
					["b_pet_needsbuff"] = false,
				},
				["defaultRotation/rogue/eviscerate"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = true,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["b_p_unholyrunes"] = false,
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = ">=5",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "196819",
					["v_gspellcost"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_pet_needsbuff"] = false,
					["v_pet_needsbuff"] = "",
					["b_t_needsdebuff"] = false,
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["v_pet_hp"] = "",
					["b_moving"] = false,
					["b_p_havebuff"] = false,
					["b_p_bloodrunes"] = false,
					["b_checkothercd"] = false,
					["b_p_knowspell"] = false,
					["v_togglename"] = "Toggle 1",
					["v_checkothercdvalue"] = "",
					["b_p_unitpower"] = true,
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "4",
					["b_charges"] = false,
					["v_p_havedebuff"] = "",
					["v_t_hasdebuff"] = "_195452^6",
					["v_p_havebuff"] = "",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_bloodrunes"] = "",
					["b_toggleoff"] = false,
					["b_t_notaboss"] = false,
					["v_p_stance"] = "",
					["b_gunitpower"] = false,
					["v_p_notstance"] = "",
					["v_p_unholyrunes"] = "",
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsbuff"] = false,
					["b_lastcasted"] = false,
				},
				["defaultRotation/rogue/symbols_of_death"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "212283",
					["v_gspellcost"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_pet_needsbuff"] = false,
					["v_pet_needsbuff"] = "",
					["v_t_hasbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["b_t_needsbuff"] = false,
					["v_pet_hp"] = "",
					["b_moving"] = false,
					["b_p_havebuff"] = true,
					["b_p_bloodrunes"] = false,
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["v_p_hp"] = "",
					["b_p_unholyrunes"] = false,
					["b_p_unitpower"] = false,
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "",
					["b_hasproc"] = false,
					["v_p_havedebuff"] = "",
					["v_t_hp"] = "",
					["v_p_havebuff"] = "1784||185422",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_bloodrunes"] = "",
					["v_duration"] = "",
					["b_t_notaboss"] = false,
					["v_p_stance"] = "",
					["b_gunitpower"] = false,
					["b_checkothercd"] = false,
					["v_p_unholyrunes"] = "",
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsdebuff"] = false,
					["b_lastcasted"] = false,
				},
				["defaultRotation/rogue/backstab"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["b_p_unholyrunes"] = false,
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "53",
					["v_gspellcosttype"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "4",
					["b_p_needdebuff"] = false,
					["b_hasproc"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_lastcasted"] = false,
					["v_pet_needsbuff"] = "",
					["v_t_hasbuff"] = "",
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcost"] = "",
					["b_p_knownotspell"] = false,
					["b_t_needsbuff"] = false,
					["v_charges"] = "",
					["b_moving"] = false,
					["v_actionicon"] = "",
					["b_p_bloodrunes"] = false,
					["b_p_knowspell"] = false,
					["v_p_notstance"] = "",
					["b_gunitpower"] = true,
					["v_p_stance"] = "",
					["b_p_unitpower"] = false,
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "",
					["v_duration"] = "",
					["v_p_havedebuff"] = "",
					["v_p_bloodrunes"] = "",
					["v_p_havebuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_p_needdebuff"] = "",
					["v_t_needsbuff"] = "",
					["v_t_hp"] = "",
					["b_charges"] = false,
					["b_t_notaboss"] = false,
					["v_checkothercdvalue"] = "",
					["v_togglename"] = "Toggle 1",
					["b_checkothercd"] = false,
					["v_p_unholyrunes"] = "",
					["b_p_havebuff"] = false,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsdebuff"] = false,
					["b_pet_needsbuff"] = false,
				},
				["defaultRotation/rogue/shadow_dance"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["b_toggleoff"] = false,
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "<=4",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = true,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "185313",
					["v_gspellcost"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "185313",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_pet_needsbuff"] = false,
					["v_pet_needsbuff"] = "",
					["b_t_needsdebuff"] = false,
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["v_pet_hp"] = "",
					["b_moving"] = false,
					["b_p_havebuff"] = false,
					["b_p_bloodrunes"] = false,
					["b_checkothercd"] = false,
					["b_p_knowspell"] = false,
					["v_p_hp"] = "",
					["b_p_unholyrunes"] = false,
					["b_p_unitpower"] = true,
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["b_hasproc"] = false,
					["v_p_havedebuff"] = "",
					["v_t_hp"] = "",
					["v_p_havebuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_bloodrunes"] = "",
					["v_duration"] = "",
					["b_t_notaboss"] = false,
					["v_p_stance"] = "",
					["b_gunitpower"] = false,
					["v_p_notstance"] = "",
					["v_p_unholyrunes"] = "",
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsbuff"] = false,
					["b_lastcasted"] = false,
				},
				["defaultRotation/rogue/shadow_blades"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "121471",
					["v_gspellcost"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_pet_needsbuff"] = false,
					["v_pet_needsbuff"] = "",
					["b_t_needsdebuff"] = false,
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcosttype"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["v_pet_hp"] = "",
					["b_moving"] = false,
					["b_p_havebuff"] = false,
					["b_p_bloodrunes"] = false,
					["b_checkothercd"] = false,
					["b_p_knowspell"] = false,
					["v_togglename"] = "Toggle 1",
					["b_p_unholyrunes"] = false,
					["b_p_unitpower"] = false,
					["b_p_isstealthed"] = false,
					["v_p_hp"] = "",
					["v_p_unitpowertype"] = "",
					["b_toggleoff"] = false,
					["v_p_havedebuff"] = "",
					["v_t_hasdebuff"] = "",
					["v_p_havebuff"] = "",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["v_t_needsbuff"] = "",
					["v_p_needdebuff"] = "",
					["v_p_bloodrunes"] = "",
					["b_hasproc"] = false,
					["b_t_notaboss"] = false,
					["v_p_stance"] = "",
					["b_gunitpower"] = false,
					["v_p_notstance"] = "",
					["v_p_unholyrunes"] = "",
					["v_actionicon"] = "",
					["v_charges"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsbuff"] = false,
					["b_lastcasted"] = false,
				},
				["defaultRotation/rogue/shadowstrike"] = {
					["v_t_needsdebuff"] = "",
					["v_p_deathrunes"] = "",
					["b_t_hasdebuff"] = false,
					["v_duration"] = "",
					["v_durationstartedtime"] = 0,
					["b_disabled"] = false,
					["v_checkothercdvalue"] = "",
					["b_pet_hp"] = false,
					["v_lastcasted"] = "",
					["b_p_notstance"] = false,
					["b_p_deathrunes"] = false,
					["b_t_hp"] = false,
					["b_p_hp"] = false,
					["v_p_unitpower"] = "",
					["v_pet_hasbuff"] = "",
					["b_p_eclipse"] = false,
					["b_notaspell"] = false,
					["b_p_needbuff"] = false,
					["b_maxcasts"] = false,
					["b_toggleon"] = false,
					["b_debug"] = false,
					["b_duration"] = false,
					["v_spellname"] = "185438",
					["v_gspellcosttype"] = "",
					["v_p_frostrunes"] = "",
					["v_checkothercdname"] = "",
					["b_gspellcost"] = false,
					["b_pet_hasbuff"] = false,
					["v_p_eclipse"] = "",
					["b_toggle"] = false,
					["v_keybind"] = "<keybind>",
					["b_p_frostrunes"] = false,
					["v_gunitpowertype"] = "4",
					["b_p_needdebuff"] = false,
					["b_charges"] = false,
					["v_p_knownotspell"] = "",
					["v_toggleicon"] = "",
					["b_notmoving"] = false,
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "",
					["b_t_hasbuff"] = false,
					["v_p_knowspell"] = "",
					["b_lastcasted"] = false,
					["v_pet_needsbuff"] = "",
					["b_t_needsdebuff"] = false,
					["v_maxcasts"] = "",
					["b_p_stance"] = false,
					["v_gspellcost"] = "",
					["b_p_knownotspell"] = false,
					["v_t_hasbuff"] = "",
					["v_charges"] = "",
					["b_moving"] = false,
					["v_actionicon"] = "",
					["b_p_bloodrunes"] = false,
					["b_checkothercd"] = false,
					["b_p_knowspell"] = false,
					["b_gunitpower"] = true,
					["v_p_stance"] = "",
					["b_p_unitpower"] = false,
					["b_p_isstealthed"] = false,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "",
					["b_toggleoff"] = false,
					["v_p_havedebuff"] = "",
					["v_p_bloodrunes"] = "",
					["v_p_havebuff"] = "1784||185422",
					["v_t_hp"] = "",
					["b_p_havedebuff"] = false,
					["v_p_needdebuff"] = "",
					["v_t_needsbuff"] = "",
					["v_t_hasdebuff"] = "",
					["b_hasproc"] = false,
					["b_t_notaboss"] = false,
					["b_p_unholyrunes"] = false,
					["v_p_hp"] = "",
					["v_p_notstance"] = "",
					["v_p_unholyrunes"] = "",
					["b_p_havebuff"] = true,
					["v_pet_hp"] = "",
					["b_t_boss"] = false,
					["b_notinspellbook"] = false,
					["b_t_needsbuff"] = false,
					["b_pet_needsbuff"] = false,
				},
			},
			["SortedActions"] = {
				"defaultRotation/rogue/nightblade", -- [1]
				"defaultRotation/rogue/symbols_of_death", -- [2]
				"defaultRotation/rogue/shadowstrike", -- [3]
				"defaultRotation/rogue/eviscerate", -- [4]
				"defaultRotation/rogue/shadow_blades", -- [5]
				"defaultRotation/rogue/shadow_dance", -- [6]
				"defaultRotation/rogue/backstab", -- [7]
			},
		},
	}

	return rotation;
end

local rogueRotationsGeneratorData = {
	["generator"] = rogueRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("ROGUE", rogueRotationsGeneratorData);